std::experimental::ostream_joiner::operator*(3)

NAME
std::experimental::ostream_joiner::operator* - std::experimental::ostream_joiner::operator*

Synopsis
   ostream_joiner& operator*() noexcept; (library fundamentals TS v2)
   Does nothing, this member function is provided to satisfy the requirements of
   LegacyOutputIterator.
   It returns the iterator itself, which makes it possible to use code such as *iter =
   value to output (insert) the value into the underlying stream.

Parameters
   (none)

Return value
   *this